---
updatedAt: 2025-06-12T23:58:45.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List Transactions

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/transactions": {
      "get": {
        "summary": "List Transactions",
        "description": "",
        "operationId": "list-transactions",
        "parameters": [
          {
            "name": "amount(gte)",
            "in": "query",
            "description": "Greater than or equal to the transaction amount.",
            "schema": {
              "type": "number",
              "format": "float"
            }
          },
          {
            "name": "amount(lte)",
            "in": "query",
            "description": "Less than or equal to the transaction amount.",
            "schema": {
              "type": "number",
              "format": "float"
            }
          },
          {
            "name": "cause.id",
            "in": "query",
            "description": "One or more Id's of the entity that resulted in the creation of the transaction. Multiple `cause.id` params can be provided. e.g. pmt_ov8jkx67nog0dbglam",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "createdAt(gte)",
            "in": "query",
            "description": "Greater than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdAt(lte)",
            "in": "query",
            "description": "Less than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "List of 3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency codes. Accepts multiple codes.",
            "schema": {
              "type": "string",
              "enum": [
                ""
              ]
            }
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Direction of the transaction with respect to the Fiat Account.",
            "schema": {
              "type": "string",
              "enum": [
                "DEBIT",
                "CREDIT"
              ]
            }
          },
          {
            "name": "fiatAccountId",
            "in": "query",
            "description": "Id of a Fiat Account for getting transactions on that account only.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "paymentId",
            "in": "query",
            "description": "One of more Payment id's. Multiple `paymentId` params can be provided.<br> **This field is scheduled to be deprecated. Please use `cause.id` instead.**",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "paymentScheme",
            "in": "query",
            "description": "List of Payment Schemes used for transactions. Accepts multiple Payment Schemes.",
            "schema": {
              "type": "string",
              "enum": [
                "FPS",
                "CHAPS",
                "SCT",
                "EAGLE_NET_TRANSFER"
              ]
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Search by the transaction `currency`, `direction`, `id`, `paymentReference` or `type`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "Type of the Transaction. Multiple `type` params can be provided.",
            "schema": {
              "type": "string",
              "enum": [
                "FEE",
                "RETURN",
                "TRANSFER",
                "PAYMENT"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n   \"id\":\"txn_d4pmer37x8182gkv5b\",\n   \"fiatAccountId\":\"fac_ejl2vpn1m305rxko6b\",\n   \"amount\":\"1013.00\",\n   \"balanceAfter\":\"3139.00\",\n   \"currency\":\"GBP\",\n   \"direction\":\"DEBIT\",\n   \"type\":\"PAYMENT\",\n   \"cause\":{\n      \"type\":\"PAYMENT\",\n      \"id\":\"pmt_d4pmer37x8182gkv5b\",\n      \"reference\":\"Fiat Withdrawal\"\n   },\n   \"counterparty\":\"Satoshi Nakamoto\",\n   \"createdAt\":1637511388049\n\t},\n  {...},\n  {...}\n]\n    "
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/transactions \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```